body {
    overflow: hidden;
}

header {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 9;
    background: rgba(0, 0, 0, 0.6);
}
header section {
    position: absolute;
    border-radius: 2px;
    width: 90%;
    max-width: 600px;
    top: 50%;
    left: 50%;
    background: white;
    color: #222;
    padding: 2rem;
    transform: translate(-50%, -50%);
    text-align: center;
}
header h1 {
    margin-top: 0;
}
header p {
    text-align: left;
}

.hide {
    display: none;
}

header small {
    margin-top: 1rem;
    color: #CCC;
    display: inline-block;
}

#container {
    width: 800px;
    height: 100%;
    overflow: auto;
    position: absolute;
    top: 50px;
    left: 50%;
    transform: translate(-50%, 0);
    padding-bottom: 2em;
}

@media (max-width: 500px) {
    #container {
        top: -20px;
    }
}

* {
    box-sizing: border-box;
}

.menu {
    position: fixed;
    width: 100%;
    z-index: 999;
    background: white;
    padding: 1em;
    left: 0;
    top: 0;
    text-align: center;
    display: flex;
    justify-content: center;
}

.menu input {
    max-width: 75px;
    margin-right: 1em;
    padding: 1em;
}

.menu button {
    padding: 1em 2em;
}

#container #melody {
    transform: scale(0.8);
}

@media (max-width: 500px) {
    #container #melody {
        transform: scale(0.46);
    }
}

input, button {
    border-radius: 2px;
    line-height: 1.4;
    margin: 0;
    padding: 0.25em 0.5em;
}

input {
    border: 1px solid #e6e6e6;
    width: 280px;
}

button {
    background: #444;
    color: white;
    border: 1px solid #2b2b2b;
}

#midi {
    right: 1rem;
    text-align: right;
    margin: 0;
}
#midi embed {
    position: absolute;
    top: -99999px;
    opacity: 0;
    pointer-events: none;
}
#midi a {
    color: #444;
    text-transform: uppercase;
    font-size: 0.8em;
    letter-spacing: 0.0125em;
}

#melody {
    height: 440px;
}
#melody > div {
    box-sizing: border-box;
    height: 220px;
    display: flex;
    opacity: 1;
    transition: opacity 250ms ease-out;
}
#melody > div:not(:nth-child(2)) path.symbol.l0 {
    opacity: 0;
}
#melody > div:not(:nth-child(2)) {
    transition-delay: 250ms;
}
#melody > div.hide {
    opacity: 0;
}
#melody > div:first-child {
    border-bottom: 1px solid #F0F0F0;
}
#melody > div:first-child > div {
    align-self: flex-end;
}

@media (min-height: 792px) {
    #melody {
        height: 660px;
    }
}
@media (min-height: 1056px) {
    #melody {
        height: 880px;
    }
}
@media (min-height: 1320px) {
    #melody {
        height: 1100px;
    }
}
@media (min-height: 1584px) {
    #melody {
        height: 1320px;
    }
}
html, body {
    height: 100%;
}

body {
    background-color: #F0F0F0;
    color: #222;
    line-height: 1.7;
}